<bugID>983473<Summary>Console's input should be a source editor / CodeMirror instance</Summary><Description>That way we would get syntax highlighting and paren matching when writing snippets of code.

Would be especially useful for folks who use shift+return to get multiline inputs.</Description></bugID>